3

[alpine-aports] [PATCH 1/4] main/mpv: enable zsh completions

Sören Tempel
Details
Message ID
<1439919596-12524-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1439919593
DKIM signature
missing
Download raw message
Patch: +18 -2
---
 main/mpv/APKBUILD | 20 ++++++++++++++++++--
 1 file changed, 18 insertions(+), 2 deletions(-)

diff --git a/main/mpv/APKBUILD b/main/mpv/APKBUILD
index cf64ec7..7b52930 100644
--- a/main/mpv/APKBUILD
+++ b/main/mpv/APKBUILD
@@ -1,9 +1,10 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
 # Contributor: Łukasz Jendrysik <scadu@yandex.com>
 # Contributor: Natanael Copa <ncopa@alpinelinux.org>
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=mpv
 pkgver=0.9.2
-pkgrel=1
+pkgrel=2
 pkgdesc="Video player based on MPlayer/mplayer2"
 url="http://mpv.io/"
 arch="all"
@@ -15,7 +16,10 @@ makedepends="libxxf86dga-dev libxv-dev libmad-dev lame-dev libao-dev
 	mesa-dev ffmpeg-dev libass-dev perl lua5.2-dev libvdpau-dev python
 	libxext-dev libxscrnsaver-dev py-docutils"
 install=""
-subpackages="$pkgname-doc $pkgname-libs"
+subpackages="
+	$pkgname-doc
+	$pkgname-libs
+	$pkgname-zsh-completion:zshcomp"
 source="$pkgname-$pkgver.tar.gz::https://github.com/mpv-player/mpv/archive/v$pkgver.tar.gz
 	"
 
@@ -38,6 +42,7 @@ build() {
 		--confdir=/etc/mpv \
 		--enable-libmpv-shared \
 		--enable-libass \
+		--enable-zsh-comp \
 		--enable-xss \
 		|| return 1
 
@@ -61,6 +66,17 @@ package() {
 		"$pkgdir"/usr/share/doc/mpv/examples  || return 1
 }
 
+zshcomp() {
+	depends=""
+	pkgdesc="Zsh completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel zsh"
+	arch="noarch"
+
+	mkdir -p "$subpkgdir/usr/share/zsh/site-functions"
+	mv "$pkgdir/usr/share/zsh/site-functions"/* \
+		"$subpkgdir/usr/share/zsh/site-functions" || return 1
+}
+
 md5sums="ed1384e703f7032e531731842e4da4f7  mpv-0.9.2.tar.gz"
 sha256sums="c0148f55dbd17705f49bb496d0ce374419de62e1b17195d91409d7727cbd4751  mpv-0.9.2.tar.gz"
 sha512sums="4f652a8e78d65b0ef44a06287b05250dfdfbce4cf5a6e21d3b446eedec268d83cf98afcc687272e2da2cfac9e9f69a303847dffdfd45cecdd4273b943ce50967  mpv-0.9.2.tar.gz"
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/4] testing/tpm: split completion package

Sören Tempel
Details
Message ID
<1439919596-12524-2-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1439919596-12524-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1439919594
DKIM signature
missing
Download raw message
Patch: +29 -12
---
 testing/tpm/APKBUILD | 41 +++++++++++++++++++++++++++++------------
 1 file changed, 29 insertions(+), 12 deletions(-)

diff --git a/testing/tpm/APKBUILD b/testing/tpm/APKBUILD
index c753146..0a04112 100644
--- a/testing/tpm/APKBUILD
+++ b/testing/tpm/APKBUILD
@@ -2,31 +2,48 @@
 # Maintainer: Sören Tempel <soeren+alpine@soeren-tempel.net>
 pkgname=tpm
 pkgver=1.2
-pkgrel=0
+pkgrel=1
 pkgdesc="A tiny password manager"
-url="http://github.com/nmeum/tpm"
+url="http://github.com/nmeum/$pkgname"
 arch="noarch"
 license="GPL3"
 depends="bash gnupg"
 makedepends="perl"
 install=""
-subpackages="$pkgname-doc $pkgname-completion"
-source="tpm-${pkgver}.tar.gz::https://github.com/nmeum/tpm/archive/${pkgver}.tar.gz"
+subpackages="
+	$pkgname-doc
+	$pkgname-zsh-completion:bashcomp
+	$pkgname-bash-completion:zshcomp"
+source="$pkgname-$pkgver.tar.gz::https://github.com/nmeum/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	make -C "$_builddir"
+}
 
-_builddir="$srcdir/tpm-$pkgver"
 package() {
 	make DESTDIR="$pkgdir" PREFIX="/usr" \
 		-C "$_builddir" install
 }
 
-completion() {
-	pkgdesc="bash/zsh completion files for tpm"
-	cd "$_builddir"
+bashcomp() {
+	depends=""
+	pkgdesc="Bash completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel bash"
+	arch="noarch"
+
+	install -Dm644 "$_builddir"/bash_completion \
+		"$subpkgdir"/usr/share/bash-completion/completions/${pkgname}
+}
+
+zshcomp() {
+	depends=""
+	pkgdesc="Zsh completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel zsh"
+	arch="noarch"
 
-	install -Dm644 zsh_completion \
-		"${subpkgdir}/usr/share/zsh/site-functions/_${pkgname}"
-	install -Dm644 bash_completion \
-		"${subpkgdir}/usr/share/bash-completion/completions/${pkgname}"
+	install -Dm644 "$_builddir"/zsh_completion \
+		"$subpkgdir"/usr/share/zsh/site-functions/_${pkgname}
 }
 
 md5sums="d522223a0776d337b75ec686dca3d50b  tpm-1.2.tar.gz"
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 3/4] testing/pass: split completion package

Sören Tempel
Details
Message ID
<1439919596-12524-3-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1439919596-12524-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1439919595
DKIM signature
missing
Download raw message
Patch: +47 -19
---
 testing/pass/APKBUILD | 66 ++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 47 insertions(+), 19 deletions(-)

diff --git a/testing/pass/APKBUILD b/testing/pass/APKBUILD
index b1432fa..9db8b38 100644
--- a/testing/pass/APKBUILD
+++ b/testing/pass/APKBUILD
@@ -1,8 +1,9 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
 # Contributor: Johannes Matheis <jomat+alpinebuild@jmt.gr>
 # Maintainer: Johannes Matheis <jomat+alpinebuild@jmt.gr>
 pkgname=pass
 pkgver=1.6.5
-pkgrel=0
+pkgrel=1
 pkgdesc="Stores, retrieves, generates, and synchronizes passwords securely"
 url="http://zx2c4.com/projects/password-store/"
 arch="noarch"
@@ -11,32 +12,59 @@ depends="bash"
 depends_dev=""
 makedepends="$depends_dev"
 install=""
-subpackages="$pkgname-doc $pkgname-completion $pkgname-contrib"
+subpackages="$pkgname-doc
+	$pkgname-contrib
+	$pkgname-zsh-completion:bashcomp
+	$pkgname-fish-completion:fishcomp
+	$pkgname-bash-completion:zshcomp"
 source="http://git.zx2c4.com/password-store/snapshot/password-store-${pkgver}.tar.xz"
 
 _builddir="$srcdir/password-store-$pkgver"
 package() {
-   cd "$_builddir"
-   make DESTDIR="$pkgdir" \
-       FORCE_BASHCOMP=0 \
-       FORCE_ZSHCOMP=0 \
-       FORCE_FISHCOMP=0 install
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" \
+		FORCE_BASHCOMP=1 \
+		FORCE_ZSHCOMP=1 \
+		FORCE_FISHCOMP=1 install
 }
 
-completion() {
-   pkgdesc="bash/fish/zsh completion files for pass"
-   cd "$_builddir"
-   make DESTDIR="$subpkgdir" \
-       FORCE_BASHCOMP=1 \
-       FORCE_ZSHCOMP=1 \
-       FORCE_FISHCOMP=1 install-common
-   rm -rf "$subpkgdir"/usr/share/man/
+contrib() {
+	pkgdesc="contrib files for pass"
+	mkdir -p "$subpkgdir"/usr/share
+	cp -a "$_builddir"/contrib "$subpkgdir"/usr/share/$pkgname
 }
 
-contrib() {
-   pkgdesc="contrib files for pass"
-   mkdir -p "$subpkgdir"/usr/share
-   cp -a "$_builddir"/contrib "$subpkgdir"/usr/share/$pkgname
+bashcomp() {
+	depends=""
+	pkgdesc="Bash completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel bash"
+	arch="noarch"
+
+	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions
+	mv "$pkgdir"/usr/share/bash-completion/completions/* \
+		"$subpkgdir"/usr/share/bash-completion/completions/ || return 1
+}
+
+fishcomp() {
+	depends=""
+	pkgdesc="Fish completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel fish"
+	arch="noarch"
+
+	mkdir -p "$subpkgdir"/usr/share/fish/completions/
+	mv "$pkgdir"/usr/share/fish/vendor_completions.d/* \
+		"$subpkgdir"/usr/share/fish/completions/ || return 1
+}
+
+zshcomp() {
+	depends=""
+	pkgdesc="Zsh completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel zsh"
+	arch="noarch"
+
+	mkdir -p "$subpkgdir/usr/share/zsh/site-functions"
+	mv "$pkgdir"/usr/share/zsh/site-functions/* \
+		"$subpkgdir"/usr/share/zsh/site-functions || return 1
 }
 
 md5sums="2c4468360c678184051e76f03c2f6b04  password-store-1.6.5.tar.xz"
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 4/4] main/youtube-dl: fix typo in fishcomp

Sören Tempel
Details
Message ID
<1439919596-12524-4-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1439919596-12524-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1439919596
DKIM signature
missing
Download raw message
Patch: +1 -1
---
 main/youtube-dl/APKBUILD | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/main/youtube-dl/APKBUILD b/main/youtube-dl/APKBUILD
index 9db8273..ec5d77d 100644
--- a/main/youtube-dl/APKBUILD
+++ b/main/youtube-dl/APKBUILD
@@ -43,7 +43,7 @@ bashcomp() {
 
 fishcomp() {
 	depends=""
-	pkgdesc="Bash completions for $pkgname"
+	pkgdesc="Fish completions for $pkgname"
 	install_if="$pkgname=$pkgver-r$pkgrel fish"
 	arch="noarch"
 
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---